Package oracle.jdbc

## Interface NotificationRegistration

All Known Subinterfaces:
  `AQNotificationRegistration`, `DatabaseChangeRegistration`

    public interface NotificationRegistration

This interface is extended by oracle.jdbc.aq.AQNotificationRegistration and oracle.jdbc.dcn.DatabaseChangeRegistration.

### Nested Class Summary

Nested Classes
`static class` `NotificationRegistration.RegistrationState`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDatabaseName()`
`Exception` `getRegistrationException()` Gets any registration related exception.
`Properties` `getRegistrationOptions()`
`NotificationRegistration.RegistrationState` `getState()` Returns the state of this registration.
`String` `getUserName()`

### Method Detail

#### getRegistrationOptions

    Properties getRegistrationOptions()

#### getDatabaseName

    String getDatabaseName()

#### getUserName

    String getUserName()

#### getState

    NotificationRegistration.RegistrationState getState()

Returns the state of this registration. The returned value can be either `RegistrationState.ACTIVE` or `RegistrationState.CLOSED`.

#### getRegistrationException

    Exception getRegistrationException()

Gets any registration related exception. The notification registration happens on a background thread. Therefore any error that occurs during the registration creation won't be thrown on the main user thread (for example an SSL error). This method can be called to get such errors.

Returns:
  Registration exception if any otherwise null.